Get Branch Detail

Retrieve detailed information about a specific branch by its ID.

Parameters

id
string
Required
Path parameter. The identifier of the branch to retrieve.
GET/v1/branches/{id}
🇪🇺 EU
curl https://eu.api.lynxo.ai/v1/branches/{id} \
  -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR....." \
  -H "Content-Type: application/json" \
  -d '{"id":"MAAA"}'
RESPONSE
{
  "branch": {
    "id": "MAAA",
    "name": "Chennai",
    "time_zone": "",
    "contacts": [
      {
        "name": "Ul",
        "phone": "723482932",
        "work_timings": {
          "from": "09:00 AM",
          "to": "05:00 PM"
        },
        "work_days": [
          "monday",
          "tuesday",
          "wednesday",
          "thursday",
          "friday"
        ]
      }
    ],
    "formatted_address": "Neelakanta Mehta Street, Parthasarathy Puram, 600017, T Nagar, Chennai, Chennai, Tamil Nadu, India",
    "active": true,
    "delivery_zones": null,
    "coordinates": {
      "longitude": 80.240281,
      "latitude": 13.037106
    },
    "created_at": 1752077103,
    "updated_at": 1754380833,
    "created_by": {
      "user_type": "iam",
      "user_id": "42",
      "user_name": "Best"
    },
    "updated_by": {
      "user_type": "iam",
      "user_id": "42",
      "user_name": "Best Account"
    },
    "teams": [],
    "rider_notes": ""
  }
}